<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>{{ config('app.name') }}</title>

    <!-- Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Nunito:200,600" rel="stylesheet">

    {{-- mc initializers --}}
    <script>
        window.mcInitializers = {};
        window.addMCInitializer = function(_name, _func) {
            window.mcInitializers[_name] = _func;
        };
        window.runMCInitializers = function() {
            // run all mcInitializers
            if(!!mcInitializers) {
                for(var func in mcInitializers) {
                    if(mcInitializers.hasOwnProperty(func)) mcInitializers[func]();
                }
            }
        };
    </script>

    {{-- vue --}}
    <script src="https://cdn.jsdelivr.net/npm/vue"></script>

    {{-- Quill RTE --}}
    <link href="https://cdn.quilljs.com/1.3.6/quill.snow.css" rel="stylesheet">
    <script src="https://cdn.quilljs.com/1.3.6/quill.js"></script>

    <!-- <link href="{{ asset('bootstrap-4.5.0/css/bootstrap.css') }}" rel="stylesheet"> -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.13.1/css/all.min.css">
    <link href="{{ asset('/css/app.css') }}" rel="stylesheet">
    <link href="{{ asset('/css/style.css') }}" rel="stylesheet">
    <link rel="stylesheet" href="{{asset('/fullcalendar/main.min.css')}}">
    <link href="{{ asset('/css/yemi.css') }}" rel="stylesheet">
    <link rel="stylesheet" href="{{ asset('/css/toastr.min.css') }}">
    <link href="{{asset('/css/z.css')}}" rel=stylesheet>
    <!-- Styles -->

    <script src="{{ asset('js/app.js') }}" type="application/javascript"></script>
    <script src="https://code.jquery.com/jquery-3.5.1.min.js" integrity="sha256-9/aliU8dGd2tb6OSsuzixeV4y/faTqgFtohetphbbj0=" crossorigin="anonymous"></script>
    <script src="{{ asset('fullcalendar/main.min.js') }}" type="application/javascript"></script>
    <script src="{{ asset('js/toastr.min.js') }}" type="application/javascript"></script>
    <script src="/js/yemi.js?_=4" type="application/javascript"></script>

    @yield('head')
</head>

<body>
<div id="mask" style="background: rgba(0, 0, 0, 0) url(&quot;/vanillaspin.gif&quot;) no-repeat scroll center center; position: fixed; top: 0px; left: 0px; z-index: 9999; width: 100%; height: 100%; display: none;">
</div>
<div id="moe-form-mask" style="background: rgba(0, 0, 0, .1) no-repeat scroll center center; position: fixed; top: 0px; left: 0px; z-index: 99; width: 100%; height: 100%; display: none;">
</div>

    <nav class="navbar navbar-expand-md navbar-dark stag-primary-bg py-1">
        <a class="navbar-brand" href="{{ route('dashboard') }}">Scholar</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navBar" aria-controls="navBar" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navBar">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item"><a class="nav-link" href="{{ route('dashboard') }}"><i class="mr-1 fas fa-tachometer-alt"></i> Dashboard</a> </li>
                <li class="nav-item"><a class="nav-link" href="{{ route('patients') }}"><i class="mr-1 fas fa-user-injured"></i> Patients</a> </li>
                <li class="nav-item"><a class="nav-link" href="{{ route('new-patient') }}"><i class="mr-1 fas fa-user-plus"></i> New Patient</a> </li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="practice-management" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="mr-1 fas fa-tasks"></i> Practice Management</a>
                    <div class="dropdown-menu" aria-labelledby="practice-management">
                        {{--<a class="dropdown-item" href="{{ route('practice-management.dashboard') }}">Dashboard</a>--}}
                        <a class="dropdown-item" href="{{ route('practice-management.rates') }}">Payment Rates</a>
                        <a class="dropdown-item" href="{{ route('practice-management.previousBills') }}">Previous Bills</a>
                        <a class="dropdown-item" href="{{ route('practice-management.financialTransactions') }}">Financial Transactions</a>
                        <a class="dropdown-item" href="/practice-management/bills/not-yet-signed">Pending Bills to Sign</a>
                        <a class="dropdown-item" href="/practice-management/notes/not-yet-signed">Pending Notes to Sign</a>
                        {{--<a class="dropdown-item" href="/practice-management/hr">HR</a>--}}
                    </div>
                </li>
            </ul>
            <div class="d-flex align-items-center">
                <p class="text-white my-0 mr-3">Hello, <b title="Cell# {{$pro->cell_number}}">{{ $pro->name_first }}!</b></p>
                <form action="{{ route('logout') }}" method="post" target="_top">
                    @csrf
                    <button class="btn btn-link text-light">
                        <i class="fas fa-sign-out-alt"></i> Log Out
                    </button>
                </form>
            </div>
        </div>

        <a href="#" class="stag_rhs_toggle d-none d-md-block" title="Toggle Video Pane">
            <i class="fa fa-arrow-right"></i>
        </a>
    </nav>


    <main role="main" class="stag-content px-0">

        @yield('content')

    </main><!-- /.container -->


    <!-- shortcut/suggest component -->
    <link href="/css/shortcut.css" rel=stylesheet>
    <script src="/js/shortcut.js" type="application/javascript"></script>

    <!-- script to handle history/back/forward for mc/xxx pages
    + all other JS initialization needed in fastLoaded pages  -->
    <script src="/js/find-event-handlers.js" type="application/javascript"></script>
    <script src="/js/mc.js?_=4" type="application/javascript"></script>

    <form url="/api/proTextShortcut/create" id="create-shortcut-form" class="mcp-theme-1">
        <input type="hidden" name="proUid" value="{{ $pro->uid  }}">
        <div class="mb-2">
            <input type="text" class="form-control form-control-sm" name="shortcut" value="" placeholder="Shortcut Name" required>
        </div>
        <div class="mb-2">
            <textarea name="text" class="form-control form-control-sm" rows="3" id="selected-sc-text" placeholder="Content" required></textarea>
        </div>
        <div class="mb-0">
            <button class="btn btn-primary btn-sm" type="submit">Save</button>
            <button class="btn btn-default border btn-sm ml-1" type="reset">Cancel</button>
        </div>
    </form>

</body>

</html>
